#!/usr/bin/awk -f

#
# Print average drift speed
# 
# NOTE: process only 1 file per 1 run
#

BEGIN {
	lines = 0;
	error = 0;
	pi    = 3.14159265358979323846;
	sum   = 0.0;
#	printf "# ARGC = %d\n", ARGC > "/dev/stderr";
	if (ARGC > 2) {
		printf "# Error: multiple filenames specified!\n" > "/dev/stderr";
		exit 1;
	}
#	printf "filecount = %d\n", filecount;
#	filecount++;
}

# ignore comments
/^#/ {
	next;
}

NF == 6 {
	if ($2 >= 6.0) {
		sum += $4;
		lines++;
	}
	
	next;
}


END {
	gsub(/^.*\//, "", FILENAME);
	FS = "[-_=]+";
	split(FILENAME, param)
	N     = param[2];
	T     = param[4];
	#alpha = param[6];
	#beta  = param[8];
	#speed = param[10];
	alpha = param[8];
	speed = param[10];
	printf "# Filename is: %s\n", FILENAME  > "/dev/stderr";
	printf "#	lines = %d	N = %g	T = %d	alpha = %g	beta = %g	speed = %g\n",
		lines, N, T, alpha, beta, speed  > "/dev/stderr";
	if (lines > 0)
		printf "%g	%g\n", alpha, sum / lines;

}

# vim: cindent


